//---------------------------------------------------------------------------
#ifndef netprevH
#define netprevH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <QRPrntr.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TfrmNetPrev : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TButton *btnPrint;
    TButton *btnNextPage;
    TButton *btnPrevPage;
    TButton *btnZoomIn;
    TButton *btnZoomOut;
    TButton *btnClose;
    TButton *btnOpen;
    TQRPreview *QRPreview1;
    TOpenDialog *OpenDialog1;
    void __fastcall btnCloseClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall btnPrintClick(TObject *Sender);
    void __fastcall btnZoomInClick(TObject *Sender);
    void __fastcall btnZoomOutClick(TObject *Sender);
    void __fastcall btnOpenClick(TObject *Sender);
    
    
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool PrintPreviewImage;
    void __fastcall UpdateButtons(void);
    __fastcall TfrmNetPrev(TComponent* Owner);
};

class TPreviewOptions {
  public:
  TPreviewOptions();
  TPreviewOptions(bool _AllowPrint);
  bool AllowPrint;
};

// The following code does not work.  It's based on the Delphi code for
// registering a preview interface.
//---------------------------------------------------------------------------
//class DELPHICLASS TQRNetPrevInterface;
//class PASCALIMPLEMENTATION TQRNetPrevInterface : public Qrprntr::TQRPreviewInterface
class TQRNetPrevInterface : public Qrprntr::TQRPreviewInterface
{
        typedef Qrprntr::TQRPreviewInterface inherited;
public:		// User declarations
        virtual Controls::TWinControl* __fastcall Show(TQRPrinter* AQRPrinter);
        virtual Controls::TWinControl* __fastcall ShowModal(TQRPrinter* AQRPrinter);
public:
        /* TComponent.Create */ __fastcall virtual TQRNetPrevInterface(Classes::TComponent* AOwner)
                 : Qrprntr::TQRPreviewInterface(AOwner) { }
        /* TComponent.Destroy */ __fastcall virtual ~TQRNetPrevInterface(void) { }
};
typedef System::TMetaClass*TQRNetPrevInterfaceClass;

//---------------------------------------------------------------------------
void __fastcall NetPrev(void);

// working code follows

extern PACKAGE TfrmNetPrev *frmNetPrev;
extern TPreviewOptions *PreviewOptions;
//---------------------------------------------------------------------------
#endif
